
From: Mikael Pettersson <mikpe@csd.uu.se>

Clean up #if/#ifdef confusion in <asm-i386/perfctr.h>.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/perfctr.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/perfctr.h~perfctr-if-ifdef-cleanup include/asm-i386/perfctr.h
--- 25/include/asm-i386/perfctr.h~perfctr-if-ifdef-cleanup	Wed Jun  9 14:53:16 2004
+++ 25-akpm/include/asm-i386/perfctr.h	Wed Jun  9 14:53:16 2004
@@ -168,7 +168,7 @@ typedef void (*perfctr_ihandler_t)(unsig
 #define PERFCTR_INTERRUPT_SUPPORT 1
 #endif
 
-#if PERFCTR_INTERRUPT_SUPPORT
+#ifdef PERFCTR_INTERRUPT_SUPPORT
 extern void perfctr_cpu_set_ihandler(perfctr_ihandler_t);
 extern void perfctr_cpu_ireload(struct perfctr_cpu_state*);
 extern unsigned int perfctr_cpu_identify_overflow(struct perfctr_cpu_state*);
@@ -187,7 +187,7 @@ static inline void perfctr_cpu_set_ihand
 
 #endif	/* CONFIG_PERFCTR */
 
-#if defined(CONFIG_PERFCTR) && PERFCTR_INTERRUPT_SUPPORT
+#if defined(CONFIG_PERFCTR) && defined(PERFCTR_INTERRUPT_SUPPORT)
 asmlinkage void perfctr_interrupt(struct pt_regs*);
 #define perfctr_vector_init()	\
 	set_intr_gate(LOCAL_PERFCTR_VECTOR, perfctr_interrupt)
_
